Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-100291

abort early on missing dependency: gssapi.h for kerberos

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Not Evaluated
    • Resolution: Done
    • Affects Version/s: 6.2.2
    • Fix Version/s: 6.3.0 Beta1, 6.4.0 Beta1
    • Component/s: WebEngine
    • Labels:
      None
    • Platform/s:
      All
    • Commits:
      a4b28af742 (qt/qtwebengine/dev) 7ac48a4061 (qt/qtwebengine/6.3) 7ac48a4061 (qt/qtwebengine/6.3.0)

      Description

      when gssapi.h is missing,

      in the middle of the builld phase, ninja throws

       

      [13404/26121] CXX obj/net/net/http_auth_handler_factory.o

      src/3rdparty/chromium/net/http/http_auth_gssapi_posix.h:25:10:

      fatal error: gssapi.h: No such file or directory

       

      expected: should be handled in configure phase

       

      cmake config
      -DQT_FEATURE_webengine_kerberos=ON
       
      config summary
      webengine_kerberos ..................... yes
       
       

        Attachments

        For Gerrit Dashboard: QTBUG-100291
        # Subject Branch Project Status CR V

          Activity

            People

            Assignee:
            qt_webengine_team Qt WebEngine Team
            Reporter:
            milahu milan hauth
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Gerrit Reviews

                There are no open Gerrit changes